Gecode::Float::Branch Namespace Reference

Float branchers. More...

## Classes

class | MeritMin
| Merit class for mimimum. More...
class | MeritMax
| Merit class for maximum of float view. More...
class | MeritSize
| Merit class for size of float view. More...
class | MeritDegreeSize
| Merit class for degree over size. More...
class | MeritAFCSize
| Merit class for AFC over size. More...
class | MeritActionSize
| Merit class for action over size. More...
class | MeritCHBSize
| Merit class for CHB Q-score over size. More...
class | ValSelLq
| Value selection class for values smaller than median of view. More...
class | ValSelGq
| Value selection class for values smaller than median of view. More...
class | ValSelRnd
| Value selection class for random value of view. More...
class | ValCommitLqGq
| Value commit class for less or equal or greater or equal. More...

## Functions

ViewSel< FloatView > * | viewsel (Space &home, const FloatVarBranch &fvb)
| Return view selectors for float views.
ValSelCommitBase< FloatView, FloatNumBranch > * | valselcommit (Space &home, const FloatValBranch &svb)
| Return value and commit for float views.
ValSelCommitBase< FloatView, FloatNumBranch > * | valselcommit (Space &home, const FloatAssign &ia)
| Return value and commit for float views.

## Detailed Description

Float branchers.

## Function Documentation

## viewsel()

ViewSel< FloatView > * Gecode::Float::Branch::viewsel | ( | Space & | home,
|  | const FloatVarBranch & | fvb )

Return view selectors for float views.

Definition at line 39 of file view-sel.cpp.

## valselcommit() [1/2]

ValSelCommitBase< FloatView, FloatNumBranch > * Gecode::Float::Branch::valselcommit | ( | Space & | home,
|  | const FloatValBranch & | svb )

Return value and commit for float views.

Definition at line 39 of file val-sel-commit.cpp.

## valselcommit() [2/2]

ValSelCommitBase< FloatView, FloatNumBranch > * Gecode::Float::Branch::valselcommit | ( | Space & | home,
|  | const FloatAssign & | ia )

Return value and commit for float views.

Definition at line 61 of file val-sel-commit.cpp.